## org.biojavax.bio.phylo.tree
Interface Node

All Known Subinterfaces:
  RootedTreeNode

All Known Implementing Classes:
  DefaultRootedTreeNode

    public interface Node

Version:
  $Id: Node.java,v 1.1 2006/12/13 17:24:30 tobias Exp $

  created on 12.12.2006 13:25:21
Author:
  Tobias Thierer

Method Summary
`void` `addBranch(Branch branch)`
`java.util.Collection` `getBranches()` If this is a RootedTreeNode, then this Collection's iterator is guaranteed to return the parent node first (if there is one).

Method Detail

### addBranch

    void addBranch(Branch branch)

### getBranches

    java.util.Collection getBranches()

  If this is a RootedTreeNode, then this Collection's iterator is guaranteed to return the parent node first (if there is one).

  Returns:
    all branches adjacent to this node